10 Jahre Stabführer.de
Wir feiern unsere Spielleute-Geschichte!
Gesucht werden Daten, Geschichten, Fotos, Dokumente um Teil des Spielleute-Archivs zu werden. Hilf gerne mit!
Melde dich unter info@stabfuehrer.de

MediaWiki:Common.css: Unterschied zwischen den Versionen

Aus Stabführer.de
Keine Bearbeitungszusammenfassung
KKeine Bearbeitungszusammenfassung
 
(268 dazwischenliegende Versionen desselben Benutzers werden nicht angezeigt)
Zeile 1: Zeile 1:
/*----------------------------------------------------------------------------------------------*/
/* ACHTUNG! Common.css enthält die gemeinsamen Skin-Anpassungen der deutschsprachigen Wikipedia */
/*----------------------------------------------------------------------------------------------*/
/*
* Common.css ist in drei grundlegende Abschnitte gegliedert:
*
* 1. Anpassungen der Anzeige von editierbaren Seiteninhalten
*    (a) Definitionen projektweiter Klassen und IDs
*    (b) Inhaltsverzeichnis und Fußnoten
*    (c) HTML-Elemente
* 2. Anpassungen der Bedienoberfläche
*    (a) Seitenbearbeitung und Hochladen
*    (b) Anpassungen für die Flagged-Revisions-Erweiterung
*    (c) Unsortierte Anpassungen
* 3. Hauptseite
*
* Jede Ergänzung/Änderung muss vorher jeweils für alle Skins auf Tauglichkeit
* getestet werden, individuell per [[Special:Mypage/common.css]]! Ist hier
* erstmal geändert, dauert es dank Cache eine Weile, bis die Änderungen bei
* allen Nutzern sichtbar oder, bei Fehlern, korrigiert sind.
*
* Insbesondere innerhalb des Abschnitts 1. (a) ist die Reihenfolge der Regeln
* wichtig, weil die dort definierten Klassen kombiniert werden können.
*/
/* +++++ 1. ANPASSUNGEN DER ANZEIGE VON EDITIERBAREN SEITENINHALTEN +++++ */
/* +++++ 1. (a) DEFINITIONEN PROJEKTWEITER KLASSEN UND IDS +++++ */
/* Personennamen in Kapitälchen */
.Person {
font-variant: small-caps;
}
/*
* Stylesheet-Ergänzung zu Standard-Navigationsleisten:
* [[Hilfe:Navigationsleisten]], [[Vorlage:Navigationsleiste]]
*/
div.NavFrame {
div.NavFrame {
border: 1px solid #aaa;
border: 1px solid #aaa;
Zeile 60: Zeile 21:
display: block;
display: block;
}
}
@media screen and (min-width: 851px) {
  .mw-wiki-logo.timeless-logo img {
    width: 160px;
    margin: 0;
  }
  .mw-logo-icon {
    width:130px !important;
    min-width:130px !important;
  }
}
@media screen and (max-width: 850px) {
    #p-logo {
        display: inline-block;
        top:10px; left:70px;
        position: absolute;
    }
    #p-logo img {
        width: 40px;
        aspect-ratio: auto 40 / 40;
        height: 40px;
        aspect-ratio: auto 40 / 40;
    }
    #p-logo-text a {
        padding-left: 80px;
    }
}
html {
  scroll-behavior: smooth;
}
#footer-places-toplink a {
  position: fixed !important;
  display: block !important;
  bottom: 20px !important; 
  right: -1px;
  border: 1px solid #c8ccd1;
  background-color: #eaecf0;
  color: #000 !important;
  padding: 5px 20px;
  vertical-align: center;
  text-align: center;
  color: #000 !important;
  font-size: font-size: 0.95em;
  text-decoration: none;
  &:hover {
    background-color: #c8ccd1;
  }
}
/* Verbergen für Besucher, siehe dann MediaWiki:Group-user.css */
#ca-talk,
#ca-edit,
#ca-history,
#ca-viewsource,
#ca-nstab-main { display:none!important; }
#site-tools,
#p-Wiki-Seiten,
#p-cactions,
#p-pagemisc,
#ca-more,
#ca-nstab-project,
#ca-nstab-category,
.mw-portlet .tools-inline,
#page-tools { display:none!important; }
[title='Spezial:CargoQuery'],
#mw-indicator-mw-helplink {
  display: none;
}
/* Inhaltsverzeichis (TOC) */
.tocnumber {display: none;}
#kat_toc {margin:0}
#kat_toc>h2 {display:none}
/* Suchleiste */
#simpleSearch {border:1px solid #b32424}
#searchInput::placeholder {
  color: #999;
  opacity: 1.0;
}
#p-search {display:block}
.CategoryTreeItem span:last-child {font-size:0.6em;color:#777}
/*Changelog der Startseite*/
.mp-box .mw-changeslist-line-inner-historyLink,
.mp-box .mw-changeslist-line-inner-separatorAfterLinks,
.mp-box .mw-changeslist-line-inner-characterDiff,
.mp-box .mw-changeslist-line-inner-separatorAftercharacterDiff,
.mp-box .mw-changeslist-line-inner-userLink,
.mp-box .mw-changeslist-line-inner-userTalkLink,
.mp-box .mw-changeslist-line-inner-comment,
.mp-box .mw-changeslist-line-inner-rollback,
.mp-box .mw-changeslist-line-inner-tags,
.mp-box .mw-changeslist-line-inner-watchingUsers,
.mp-box .mw-changeslist-separator,
.mp-boxe .changedby,
.mp-box .mw-diff-bytes,
.mp-box .mw-changeslist-links,
.mp-box .mw-changeslist-log-entry,
.mp-box .mw-changeslist-legend,
.mp-box .mw-rcfilters-ui-highlights-enhanced-nested,
.mp-box .mw-rcfilters-ui-highlights,
.mp-box .mw-enhancedchanges-checkbox,
.mp-box td.mw-enhanced-rc,
.mp-box .mw-changeslist-line-prefix,
.mp-box .mw-enhancedchanges-arrow-space,
.mp-box .mw-changeslist-separator--semicolon,
.mp-box .mw-changeslist-time,
.mp-box .mw-userlink,
.mp-box .mw-tag-markers,
.mp-box .comment,
.mp-box .mw-enhancedchanges-arrow {display:none}
.mp-box td.mw-changeslist-line-inner::before {
  content: "• ";
}
abbr.newpage::after {
  content: "eu:";
}


/*
/*
Zeile 95: Zeile 182:
}
}


/*
/* Infoboxen */
* Lokal erhalten gebliebene Kopie der ehemals global vorhandenen Klasse
* „townBox“; vgl. [[rev:2909]], [[rev:36662]], [[Wikipedia:Archiv/TownBox]];
* ehemals verwendet in [[Wikipedia:Formatvorlage Charts]], siehe
* https://de.wikipedia.org/w/index.php?diff=57274184&oldid=56781842; Ersatz
* durch [[Vorlage:Infobox Chartplatzierungen]], die diese Klasse nicht nutzt
*/
div.sideBox {
background: white;
border: 1px solid gray;
clear: right;
float: right;
margin-left: 1em;
padding: .3em;
width: 200px;
}
div.sideBox dl {
font-size: 96%;
margin: 0 0 .3em;
}
div.sideBox dt {
margin: .4em 0 0;
}
div.sideBox dd {
background: #f3f3f3;
margin: .1em 0 0 1.1em;
}


/*
.infobox {width:100%}
* Stylesheet-Ergänzung für [[Vorlage:Taxobox]], mitbenutzt von
@media (min-width: 800px) {
* [[Vorlage:Infobox Virus]]; ehemals in nativen Tabellen außerhalb
.infobox {width:30%}
* programmierter Vorlagen verwendet, vgl. [[Wikipedia:Taxoboxen]], konkret
* https://de.wikipedia.org/w/index.php?diff=37690951&oldid=36341210; siehe auch
* [[Vorlage:Taxobox/Doku/Tech]]
*/
table.taxobox {
background: white;
border: 1px solid gray;
border-collapse: collapse;
/* Redundant zur Klasse „float-right“ weiter unten */
clear: right;
float: right;
margin: 1em 0 1em 1em;
}
table.taxobox > * > * > th {
background: #9bcd9b;
border: 1px solid gray;
text-align: center;
}
table.taxobox.palaeobox > * > * > th {
background: #e7dcc3;
}
table.taxobox > * > * > td.Person,
table.taxobox > * > * > td.taxo-name,
table.taxobox > * > * > td.taxo-bild,
table.taxobox.palaeobox > * > * > td.taxo-zeit {
text-align: center;
}
 
/*
* Bitte KEINE weiteren Definitionen dieser Art für Boxen hier, das gehört in
* entsprechende Vorlagen!
* Hier 20-mal Trivialitäten wie „text-align: center“ zu definieren verlangsamt
* alles und ist nicht Sinn der Sache. (Und wer nicht weiß warum, hat’s nicht
* verstanden.)
*/
 
/*
* VERALTET: Ehemals [[Vorlage:Prettytable]], jetzt infolge von [[rev:48842]]
* Kopie der Klasse „wikitable“ aus mediawiki.legacy/shared.css bis auf die
* Einfärbung der Kopfzellen.
* Die Existenz zweier Klassennamen ist aus [[en:MediaWiki:Common.css]] geerbt,
* vgl. https://en.wikipedia.org/w/index.php?diff=26977467&oldid=26934973
* und https://en.wikipedia.org/w/index.php?diff=361917988&oldid=358750840.
* Es gab im Jahr 2007 einen Botlauf zur Umstellung der Vorlage auf CSS,
* dokumentiert unter [[Vorlage Diskussion:Prettytable/Bugs]] (gelöscht). Dabei
* wurde leider der „falsche“ Klassenname gewählt.
* Da die Vorlage keine farblichen Hervorhebungen hatte, es deshalb zahlreiche
* Einbindungen mit individuell eingefärbten Kopfzeilen gibt und die Einfärbung
* der Kopfzellen diese verdecken würde, wurde hier auf die Einfärbung der
* Kopfzellen verzichtet.
*/
.prettytable {
background-color: #f9f9f9;
border: 1px solid #aaa;
border-collapse: collapse;
color: black;
margin: 1em 0;
}
table.prettytable > * > tr > th,
table.prettytable > * > tr > td {
border: 1px solid #aaa;
padding: .2em .4em;
}
table.prettytable > * > tr > th {
/* background-color: #f2f2f2; */
text-align: center;
}
table.prettytable > caption {
font-weight: bold;
}
}


Zeile 205: Zeile 197:
}
}


/*
* Klassen für die Ausrichtung von Bausteinen, Tabellen, mit „gallery“-Tags
* realisierten Bildergalerien und weiteren Objekten.
* Vorsicht: Das MediaWiki-eigene CSS enthält Klassen mit den sehr ähnlichen
* Namen „floatleft“, „floatright“ und „center“, deren Definitionen sich aber
* von den lokalen Definitionen unterscheiden.
* Für die Bedeutung der „noflip“-Kommentare siehe
* [[mw:ResourceLoader/Features#Flipping]].
*/
/* @noflip */
div.float-left,
table.float-left,
ul.float-left,
.float-left {
clear: left;
float: left;
margin: 1em 1em 1em 0;
}
/* @noflip */
div.float-right,
table.float-right,
ul.float-right,
.float-right {
clear: right;
float: right;
margin: 1em 0 1em 1em;
}
div.centered,
table.centered,
ul.centered,
.centered {
margin-left: auto;
margin-right: auto;
}


/*
/* Cargo Maps */
* Obenbündige Textausrichtung in Tabellen. Wirkt nicht auf Kopfzellen und wurde
.leaflet-popup .leaflet-popup-content h2 {border-bottom:none;font-size: 15px !important;}
* unter anderem wegen Inkonsistenzen bei sortierbaren Tabellen nicht auf
.leaflet-popup .leaflet-popup-content h2 a {font-family:'Segoe UI','Segoe UI Emoji','Segoe UI Symbol','Lato','Liberation Sans','Noto Sans','Helvetica Neue','Helvetica',sans-serif; color: #000;}
* Kopfzellen ausgeweitet.
.leaflet-popup .leaflet-popup-content p {display:none !important; max-height:1px !important;}
*/
.toptextcells > * > * > td {
vertical-align: top;
}


/*
* Farbdefinitionen für Rahmen und Hintergründe von Textbausteinen:
* [[Wikipedia:Textbausteine]]; Anpassungen für andere Skins sind optional.
* (Die Angaben der Rahmenstärke dienen der Bequemlichkeit, so dass man
* für dünne Rahmen nur noch „border-style“ angeben muss.)
*/


/* Wie Inhaltsverzeichnis (mediawiki.skinning/content.css) */
.rand1 {
.rahmenfarbe1 {
border: 1px solid red;
border: 1px #aaa;
}
}
/* Unauffällig, geringer Kontrast */
.rand2 {
.rahmenfarbe2 {
border: 1px solid #f90;
border: 1px #e9e9e9;
}
}
/* „Rot“, auffällig */
.hintergrund1 {
.rahmenfarbe3 {
background-color: #ffc;
border: 1px #c00000;
}
}
/* Neutrale Farbe, deutlich */
.hintergrund2 {
.rahmenfarbe4 {
background-color: #ddd;
border: 1px #88a;
}
}
/* „Schwarz“, hoher Kontrast */
.hintergrund9 {
.rahmenfarbe5 {
background-color: #FFCBCB !important;
border: 1px #000;
}
}


/* Wie Inhaltsverzeichnis (mediawiki.skinning/content.css) */
.hintergrundfarbe1 {background-color:#f8f9fa}
table > * > tr.hintergrundfarbe1 > th,
.rahmenfarbe1 {border-color:#a2a9b1; border-width:1px;}
table > * > tr > th.hintergrundfarbe1,
table.hintergrundfarbe1,
.hintergrundfarbe1 {
background-color: #f9f9f9;
}
/* „Weiß“, für Nicht-Artikel-Seiten, neutral */
table > * > tr.hintergrundfarbe2 > th,
table > * > tr > th.hintergrundfarbe2,
table.hintergrundfarbe2,
.hintergrundfarbe2 {
background-color: #fff;
}
/* „Gelb“, auffällig */
table > * > tr.hintergrundfarbe3 > th,
table > * > tr > th.hintergrundfarbe3,
table.hintergrundfarbe3,
.hintergrundfarbe3 {
background-color: #ffff40;
}
/* Sehr auffällig */
table > * > tr.hintergrundfarbe4 > th,
table > * > tr > th.hintergrundfarbe4,
table.hintergrundfarbe4,
.hintergrundfarbe4 {
background-color: #fa0;
}
/* Neutral, abgesetzt */
table > * > tr.hintergrundfarbe5 > th,
table > * > tr > th.hintergrundfarbe5,
table.hintergrundfarbe5,
.hintergrundfarbe5 {
background-color: #e0e0e0;
}
/* Allgemein „bunt“, für Hervorhebungen und Unterscheidungen */
table > * > tr.hintergrundfarbe6 > th,
table > * > tr > th.hintergrundfarbe6,
table.hintergrundfarbe6,
.hintergrundfarbe6 {
background-color: #b3b7ff;
}
/* Allgemein „bunt“, für Hervorhebungen und Unterscheidungen */
table > * > tr.hintergrundfarbe7 > th,
table > * > tr > th.hintergrundfarbe7,
table.hintergrundfarbe7,
.hintergrundfarbe7 {
background-color: #ffcbcb;
}
/* Allgemein „bunt“, für Hervorhebungen und Unterscheidungen */
table > * > tr.hintergrundfarbe8 > th,
table > * > tr > th.hintergrundfarbe8,
table.hintergrundfarbe8,
.hintergrundfarbe8 {
background-color: #ffebad;
}
/* Allgemein „bunt“, für Hervorhebungen und Unterscheidungen */
table > * > tr.hintergrundfarbe9 > th,
table > * > tr > th.hintergrundfarbe9,
table.hintergrundfarbe9,
.hintergrundfarbe9 {
background-color: #b9ffc5;
}


/*
* IPA-Links nicht unterstreichen: [[Vorlage:IPA]] und weitere
* Diese Regel überschreibt die Benutzereinstellung aus
* [[phab:diffusion/MW/browse/master/includes/resourceloader/ResourceLoaderUserCSSPrefsModule.php]]
* und die Effekte für :hover und :focus aus mediawiki.skinning/elements.css
*/
.IPA a {
text-decoration: none;
}


/*
.toptextcells td {
* Metadaten, bspw. [[Hilfe:Personendaten|Personendaten]]; vgl.
vertical-align: top;
* [[MediaWiki:Gadget-Personendaten.css]].
* Der Klassenname „metadata“ wird in der englischen Wikipedia traditionell für
* einen anderen Zweck verwendet, nämlich für „Elemente in Artikeln, die nicht
* als Teil des eigentlichen Artikelinhalts angesehen werden“, aber auch nicht
* standardmäßig ausgeblendet sind, sondern nur in „alternativen Ansichten“,
* vgl. [[en:Wikipedia:Catalogue of CSS classes]].
* Das führt zu Nebenwirkungen, zum Beispiel ignoriert der MediaViewer Bilder in
* Bereichen mit dieser Klasse, weil er davon ausgeht, dass es sich um einen
* Wartungsbaustein mit schmückenden Icons wie [[en:Template:Refimprove]]
* handelt, vgl. [[phab:rEMMV21549d754747681a2b50b8763996b7abf0f4efd5]].
*/
.metadata {
display: none;
}
}


/* <noscript>-Emulation, vgl. [[phab:T47731]] */
.client-js .noscript {
display: none;
}


/*
* Skinabhängige absolute Positionierungen ausblenden
* Bitte [[MediaWiki Diskussion:Common.css/Archiv/1#Absolute Positionierungen]]
* beachten
*/
#mw-content-text #coordinates,
#mw-content-text #editcount,
#mw-content-text #issnlink,
#mw-content-text #shortcut,
body.ns-special #mw-content-text .specialpage-helplink {
display: none;
}
/* +++++ 1. (b) INHALTSVERZEICHNIS UND FUSSNOTEN +++++ */
/*
* Allow limiting of which header levels are shown in a TOC;
* <div class="toclimit-3">, for instance, will limit to
* showing ==headings== and ===headings=== but no further
* (as long as there are no =headings= on the page, which
* there shouldn't be according to the MoS).
* [[Vorlage:TOC limit]]
*/
.toclimit-2 .toclevel-1 ul,
.toclimit-3 .toclevel-2 ul,
.toclimit-4 .toclevel-3 ul,
.toclimit-5 .toclevel-4 ul,
.toclimit-6 .toclevel-5 ul,
.toclimit-7 .toclevel-6 ul {
display: none;
}
/*
* Hide the numbers are shown in a TOC
* [[Vorlage:TOC nonum]]
*/
.nonumtoc .tocnumber {
display: none;
}


/* Vererbung von Hervorhebungen auf Einzelnachweise verhindern */
/* Ergebnislisten */
sup.reference {
.ergebnisse1 {background-color:#EFBF04;}
font-style: normal;
.ergebnisse1 td:first-child {min-height:30px; min-width:30px; background:url(images/d/d7/Stabfuehrer_Medaille_Gold.png) no-repeat; background-size: 20px; background-position: right 5px center; background-color:#EFBF04;}
font-weight: normal;
}


/* Hochgestellte Buchstaben in der Einzelnachweiseliste kursiv setzen */
.ergebnisse2 {background-color:#D2D2D2;}
ol.references li a[href|="#cite_ref"] {
.ergebnisse2 td:first-child {min-height:30px; min-width:30px; background:url(images/a/a1/Stabfuehrer_Medaille_Silber.png) no-repeat; background-size: 20px; background-position: right 5px center; background-color:#D2D2D2;}
font-style: italic;
}


/*
.ergebnisse3 {background-color:#E68D3F;}
* Verwendung der Schwesterprojektverweise in Einzelnachweisen:
.ergebnisse3 td:first-child {min-height:30px; min-width:30px; background:url(images/e/e9/Stabfuehrer_Medaille_Bronze.png) no-repeat; background-size: 20px; background-position: right 5px center; background-color:#E68D3F;}
* [[:Kategorie:Vorlage:Schwesterprojektverweis]]
*/
ol.references li div.sisterproject {
display: inline;
}


/* +++++ 1. (c) HTML-ELEMENTE +++++ */


/* standard link colors */
/*
/*
* Bei URLs, die auf unser Projekt und verwandte Projekte verweisen, den Pfeil
.mw-body a:link { color: #777 !important; } /* normal unvisited links */
* ausblenden. Dieser Pfeil dient nur dazu, auf externe Ziele hinzuweisen. Auf
.mw-body a:link:visited { color: #777 !important; } /* visited links */
* den Einsatz der Klasse „plainlinks“ kann dadurch verzichtet werden.
*/
* März 2016: Die hohe Selektorenspezifität ist für den Modern-Skin nötig.
*/
#mw-content-text a.external[href^="//de.wikipedia.org"],
#mw-content-text a.external[href^="http://de.wikipedia.org"],
#mw-content-text a.external[href^="https://de.wikipedia.org"],
#mw-content-text a.external[href^="//www.wikidata.org"],
#mw-content-text a.external[href^="http://www.wikidata.org"],
#mw-content-text a.external[href^="https://www.wikidata.org"],
#mw-content-text a.external[href^="//tools.wmflabs.org"],
#mw-content-text a.external[href^="http://tools.wmflabs.org"],
#mw-content-text a.external[href^="https://tools.wmflabs.org"] {
background-image: none;
padding-right: 0;
}


/*
* Unterstrichelung für Abkürzungen weniger aufdringlich als vorgegeben, damit
* die Auszeichnungen nicht wegen Aufdringlichkeit entfernt werden.
* März 2016: Firefox >= 36 benutzt „text-decoration“, alle anderen Rendering-
* Engines benutzen „border-bottom“, vgl. Regel in mediawiki.legacy/shared.css,
* https://bugs.chromium.org/p/chromium/issues/detail?id=480206 sowie
* https://bugs.webkit.org/show_bug.cgi?id=58491
*/
abbr[title]:not(:hover),
.explain[title]:not(:hover) {
border-bottom-color: rgba(50%, 50%, 50%, .5);
text-decoration-color: rgba(50%, 50%, 50%, .5);
}


/* +++++ 2. ANPASSUNGEN DER BEDIENOBERFLÄCHE +++++ */
.mw-body a:link {color: #3366cc}
.mw-body a:visited {color: #3366cc}
.mw-body a:hover {color: #000000}
.mw-body a:active {color: #3366cc}


/* +++++ 2. (a) SEITENBEARBEITUNG UND HOCHLADEN +++++ */
.mw-body a:link:active { color: #777 !important; } /* active links */
.mw-body a:link.new { color: #FF0000 !important; } /* new links */
.mw-body a:link.interwiki { color: #3366BB !important; } /* interwiki links */
.mw-body a:link.external { color: #777 !important; } /* external links */
.mw-body a:link.stub { color: #772233 !important; } /* hovered links */


/* Für [[MediaWiki:Missingcommentheader]] */
div#mw-missingcommentheader strong {
color: red;
}


/* Für [[MediaWiki:Missingsummary]] */
div#mw-missingsummary {
background: #d3e1f2;
border: 1px solid #1a47ff;
margin: 1em auto;
padding: 1em;
width: 80%;
}


/*
/* Suchergebnisse anpassen
* Falls bei der Seitenbearbeitung vergessen wurde, die Zusammenfassung
*/
* auszufüllen
#mw-content-text > div > ul > li > div.searchresult { display: none }
*/
#mw-content-text > div > ul > li > div.mw-search-result-data { display: none }
.mw-summarymissed {
.mw-search-result-data { display: none }
border: 5px solid red;
padding: 2px;
}


/* Copyrightwarnung: [[MediaWiki:Wikimedia-copyrightwarning]] */
.infobox {margin-left:3px}
div#editpage-copywarn {
background: #fff;
border: 1px solid #c00000;
margin: 1em 0;
}


/* Warnmeldung für gesperrte Titel: [[MediaWiki:Titleprotectedwarning]] */
/* Startseite */
.mw-titleprotectedwarning {
/* {{pp|small=yes}} */
background: #eee;
.mp-box {
border: 2px solid red;
border: 1px solid #aaa; /* all colors overriden on specific elements in @media screen */
padding: 1em;
padding: 0 0.5em 0.5em;
margin-top: 4px;
}
}


/*
.mp-h2,
* Warnmeldung bei der Bearbeitung von Seiten im MediaWiki-Namensraum:
body.skin-timeless .mp-h2 { /* Timeless needs a higher specificity */
* [[MediaWiki:Editinginterface]], [[MediaWiki:Translateinterface]]
border: 1px solid #aaa; /* all colors overriden on specific elements in @media screen */
*/
margin: 0.5em 0;
.mw-editinginterface,
padding: 0.2em 0.4em;
.mw-translateinterface {
font-size: 120%;
background: #f9f9f9;
font-weight: bold;
border: 1px solid #c00000;
font-family: inherit;
padding: 2px;
}
.mw-editinginterface + .mw-translateinterface {
border-top: none;
margin-top: -8px;
}
}


/* Gestaltung der Edittools-Leiste: [[MediaWiki:Onlyifediting.js]] */
.mp-later {
div#specialchars {
font-size: 85%;
background: white;
font-weight: normal;
border: 1px solid #aaa;
margin-top: 3px;
padding: 1px;
text-align: left;
}
}


/* [[Special:Upload]]: Höheres Feld für die Beschreibung */
#mp-welcomecount {
textarea#wpUploadDescription {
text-align: center;
height: 20em;
}
}


/* +++++ 2. (b) ANPASSUNGEN FÜR DIE FLAGGED-REVISIONS-ERWEITERUNG +++++ */
#mp-welcome {
 
font-size: 162%;
/* Für den Abgleich: [[phab:diffusion/EFLR/browse/master/frontend/modules]] */
padding: 0.1em;
 
color:#f00;
/* Flagged-Revisions-Backlog-Sitenotice */
font-weight:bold;
.fr-watchlist-pending-notice {
display:block;
background: transparent;
border: none;
margin: 0;
padding: 0;
}
}


/* Standardmäßige Ausblendung der Flagged-Revisions-Kommentarbox */
#mp-free {
.fr-comment-box {
font-size: 95%;
display: none;
}
}


/* Hintergrund des Sichten-Links auf der Beobachtungsliste entfärben */
#articlecount {
.mw-fr-reviewlink {
font-size: 85%;
background: transparent;
}
}


/*
/* clear fix */
* Ausklappbarer Teil der Flagged-Revisions-Box im Vordergrund relativ
.mp-contains-float::after {
* positionierter Vorlagen, vor allem [[Vorlage:Positionskarte]]; an
content: "";
* #mw-fr-revisiondetails-wrapper statt div.flaggedrevs_short_details für IE 7:
display: block;
* http://web.archive.org/web/therealcrisp.xs4all.nl/meuk/IE-zindexbug.html
clear: both;
*/
#mw-fr-revisiondetails-wrapper {
z-index: 1;
}
 
/*
* Patrollink, Ausrufezeichen und Legendeneintrag ausblenden und Einträge auf
* [[Spezial:Neue Seiten]] entfärben, da das Feature hier nicht genutzt wird und
* dessen Optik zu sehr den gesichteten Versionen ähnelt; vgl. [[phab:T102818]]
*/
.patrollink,
ul.special .unpatrolled,
.mw-changeslist-legend .unpatrolled,
.mw-changeslist-legend-unpatrolled {
display: none;
}
td.mw-enhanced-rc .unpatrolled {
visibility: hidden;
}
.not-patrolled {
background-color: transparent;
}
 
/* +++++ 2. (c) UNSORTIERTE ANPASSUNGEN +++++ */
 
/*
* Rollback-Knopf auf der Beobachtungsliste ausblenden, da er dort nur von sehr
* beschränktem Nutzen ist und zu sehr vielen Reverts aus Versehen führt
*/
.mw-special-Watchlist .mw-rollback-link {
display: none;
}
 
/* Legende für Versionsgeschichte: [[MediaWiki:Histlegend]] */
.mw-history-legend {
background: #f9f9f9;
border: 1px solid #e9e9e9;
font-size: 90%;
margin: 2px 0;
padding: 0 5px 5px;
}
 
/* Spezialseiten: [[MediaWiki:Perfcached]], [[MediaWiki:Perfcachedts]] */
.sp-cached {
background: url(//upload.wikimedia.org/wikipedia/commons/thumb/8/8c/Clock_and_warning.svg/20px-Clock_and_warning.svg.png) 5px 3px no-repeat #ffffe0; /* IE 7–8 */
background: url(//upload.wikimedia.org/wikipedia/commons/8/8c/Clock_and_warning.svg) 5px 3px/20px no-repeat #ffffe0;
border: 1px solid #eeee80;
color: #606000;
font-style: italic;
margin: .3em 0;
padding: 4px 0 4px 30px;
}
}


/*
@media (max-width: 875px) {
* Verhindere, dass Infoboxen etc. in den Inhalt von Kategorien hineinragen.
/* We need to improve Template:POTD as used on the main page so that these
* Das betrifft nur Kategorieseiten.
* hacks aren't necessary */
*/
#mp-tfp table,
div.mw-category-generated {
#mp-tfp tr,
clear: both;
#mp-tfp td,
}
#mp-tfp tbody {
display: block !important;
width: 100% !important;
box-sizing: border-box;
}


.mw-search-interwiki-header {
#mp-tfp tr:first-child td:first-child a.mw-file-description {
border-top: 3px solid #c00000;
text-align: center;
display: table;
margin: 0 auto;
}
}
}


/* +++++ 3. [[Wikipedia:Hauptseite|HAUPTSEITE]] +++++ */
@media (min-width: 875px) {
 
#mp-upper {
/*
display: flex;
* Überschrift, Weiterleitungshinweis und Kategorie auf der Hauptseite verbergen
}
* Nicht in allen Skins vollständig wirksam; vgl. [[MediaWiki:Cologneblue.css]]
*/
#mp-left {
.action-view.page-Wikipedia_Hauptseite h1.firstHeading,
flex: 1 1 33%;
.action-view.page-Wikipedia_Hauptseite #contentSub,
margin-right: 2px;
.action-view.page-Wikipedia_Hauptseite #catlinks {
}
display: none;
}
#mp-right {
flex: 1 1 34%;
margin-left: 2px;
margin-right: 2px;
}


/* [[Wikipedia Diskussion:Meinungsbilder/Neue Hauptseite/V5-2-css]], 2006 */
#mp-middle {
#hauptseite h2 {
flex: 1 1 33%;
background: #d8e8ff;
margin-left: 2px;
border: 1px solid #8898bf;
}
font-family: inherit; /* [[mw:Typography refresh]] */
font-size: 1em;
font-weight: bold;
line-height: 1.5; /* [[mw:Typography refresh]] */
margin: 0;
padding: .1em 0;
}
#hauptseite .inhalt {
background: #fff;
border: 1px solid #8898bf;
border-top: 0;
min-height: 0; /* IE 7 */
padding: .3em .8em .4em;
}
#hauptseite .inhalt hr {
background: #8898bf;
color: #8898bf; /* IE 7 */
height: 1px;
margin: .5em 0;
}
#hauptseite .inhalt .mehr {
clear: both;
font-size: 95%;
margin-top: .8em;
text-align: right;
}
.hauptseite-oben,
.hauptseite-links,
.hauptseite-rechts {
margin-bottom: 1em;
}
.hauptseite-links {
margin-right: .5em;
}
.hauptseite-rechts {
margin-left: .5em;
}
.hauptseite-oben h2,
.hauptseite-unten h2 {
text-align: center;
}
.hauptseite-oben .inhalt .portale {
font-weight: bold;
margin: .2em 0;
}
.hauptseite-oben .inhalt .intern {
font-size: 90%;
text-align: center;
}
.hauptseite-links h2,
.hauptseite-rechts h2 {
text-indent: .8em;
}
#hauptseite-schwesterprojekte .inhalt a {
font-weight: bold;
}
}


@media screen {
#mp-topbanner {
background-color: #f9f9f9;
border-color: #ddd;
}
#mp-banner {
background-color: #fffaf5;
border-color: #f2e0ce;
}
#mp-left {
background-color: #f5fffa;
border-color: #cef2e0;
}
#mp-left .mp-h2 {
background-color: #cef2e0;
border-color: #a3bfb1;
}
#mp-right {
background-color: #f5faff;
border-color: #cedff2;
}
#mp-right table {border:none;background:transparent}
#mp-right table td {border-left:none; border-right:none;background:transparent}
#mp-right table th {border:none; background:transparent;font-size: 120%;}
#mp-right .mp-h2 {
background-color: #cedff2;
border-color: #a3b0bf;
}
#mp-middle {
background-color: #fff5fa;
border-color: #f2cedd;
}
#mp-middle .mp-h2 {
background-color: #f2cedd;
border-color: #bfa3af;
}
#mp-lower {
background-color: #faf5ff;
border-color: #ddcef2;
}
#mp-lower .mp-h2 {
background-color: #ddcef2;
border-color: #afa3bf;
}
#mp-bottom {
/* no background */
border-color: #e2e2e2;
}
#mp-bottom .mp-h2 {
background-color: #eee;
border-color: #ddd;
}


 
/* night mode */
 
html.skin-theme-clientpref-night #mp-topbanner {
.rand1 {
background-color: #171a1d;
border: 1px solid red;
border-color: #676767;
}
}
.hintergrund1 {
background-color: #fcc;
html.skin-theme-clientpref-night #mp-banner {
background-color: #431107;
border-color: #663428;
}
html.skin-theme-clientpref-night #mp-left {
background-color: #0b1e1c;
border-color: #104437;
}
html.skin-theme-clientpref-night #mp-left .mp-h2 {
background-color: #104437;
border-color: #2f4d41;
}
html.skin-theme-clientpref-night #mp-right {
background-color: #0d1a27;
border-color: #082849;
}
html.skin-theme-clientpref-night #mp-right .mp-h2 {
background-color: #082849;
border-color: #a3b0bf;
}
html.skin-theme-clientpref-night #mp-middle {
background-color: #270e1a;
border-color: #882c43;
}
html.skin-theme-clientpref-night #mp-middle .mp-h2 {
background-color: #882c43;
border-color: #926c80;
}
html.skin-theme-clientpref-night #mp-lower {
background-color: #130e20;
border-color: #7545ab;
}
html.skin-theme-clientpref-night #mp-lower .mp-h2 {
background-color: #7545ab;
border-color: #afa3bf;
}
html.skin-theme-clientpref-night #mp-bottom {
/* no background */
border-color: #676767;
}
html.skin-theme-clientpref-night #mp-bottom .mp-h2 {
background-color: #3d3d3d;
border-color: #676767;
}
}
}

Aktuelle Version vom 19. Juni 2026, 20:31 Uhr

div.NavFrame {
	border: 1px solid #aaa;
	clear: both;
	font-size: 95%;
	margin-top: 1.5em;
	min-height: 0; /* IE 7 */
	padding: 2px;
	text-align: center;
}
div.NavPic {
	float: left;
	padding: 2px;
}
div.NavHead {
	background: #efefef;
	font-weight: bold;
}
div.NavFrame:after {
	clear: both;
	content: "";
	display: block;
}

@media screen and (min-width: 851px) {
  .mw-wiki-logo.timeless-logo img {
    width: 160px;
    margin: 0;
  }
  .mw-logo-icon {
    width:130px !important;
    min-width:130px !important;
  }
}
@media screen and (max-width: 850px) {
    #p-logo {
        display: inline-block;
        top:10px; left:70px;
        position: absolute;
    }
    #p-logo img {
        width: 40px;
        aspect-ratio: auto 40 / 40;
        height: 40px;
        aspect-ratio: auto 40 / 40;
    }
    #p-logo-text a {
        padding-left: 80px;
    }
}

html {
  scroll-behavior: smooth;
}
#footer-places-toplink a {
  position: fixed !important;
  display: block !important;
  bottom: 20px !important;  
  right: -1px;
  border: 1px solid #c8ccd1;
  background-color: #eaecf0;
  color: #000 !important;
  padding: 5px 20px;
  vertical-align: center;
  text-align: center;
  color: #000 !important;
  font-size: font-size: 0.95em;
  text-decoration: none;

  &:hover {
     background-color: #c8ccd1;
  }
}

/* Verbergen für Besucher, siehe dann MediaWiki:Group-user.css */
#ca-talk,
#ca-edit,
#ca-history,
#ca-viewsource,
#ca-nstab-main { display:none!important; }
#site-tools,
#p-Wiki-Seiten,
#p-cactions,
#p-pagemisc,
#ca-more,
#ca-nstab-project,
#ca-nstab-category,
.mw-portlet .tools-inline,
#page-tools { display:none!important; }

[title='Spezial:CargoQuery'],
#mw-indicator-mw-helplink {
  display: none;
}


/* Inhaltsverzeichis (TOC) */
.tocnumber {display: none;}
#kat_toc {margin:0}
#kat_toc>h2 {display:none}

/* Suchleiste */
#simpleSearch {border:1px solid #b32424}
#searchInput::placeholder {
  color: #999;
  opacity: 1.0;
}
#p-search {display:block}


.CategoryTreeItem span:last-child {font-size:0.6em;color:#777}

/*Changelog der Startseite*/
.mp-box .mw-changeslist-line-inner-historyLink,
.mp-box .mw-changeslist-line-inner-separatorAfterLinks,
.mp-box .mw-changeslist-line-inner-characterDiff,
.mp-box .mw-changeslist-line-inner-separatorAftercharacterDiff,
.mp-box .mw-changeslist-line-inner-userLink,
.mp-box .mw-changeslist-line-inner-userTalkLink,
.mp-box .mw-changeslist-line-inner-comment,
.mp-box .mw-changeslist-line-inner-rollback,
.mp-box .mw-changeslist-line-inner-tags,
.mp-box .mw-changeslist-line-inner-watchingUsers,
.mp-box .mw-changeslist-separator,
.mp-boxe .changedby,
.mp-box .mw-diff-bytes,
.mp-box .mw-changeslist-links,
.mp-box .mw-changeslist-log-entry,
.mp-box .mw-changeslist-legend,
.mp-box .mw-rcfilters-ui-highlights-enhanced-nested,
.mp-box .mw-rcfilters-ui-highlights,
.mp-box .mw-enhancedchanges-checkbox,
.mp-box td.mw-enhanced-rc,
.mp-box .mw-changeslist-line-prefix,
.mp-box .mw-enhancedchanges-arrow-space,
.mp-box .mw-changeslist-separator--semicolon,
.mp-box .mw-changeslist-time,
.mp-box .mw-userlink,
.mp-box .mw-tag-markers,
.mp-box .comment,
.mp-box .mw-enhancedchanges-arrow {display:none}

.mp-box td.mw-changeslist-line-inner::before {
  content: "• ";
}
abbr.newpage::after {
  content: "eu:";
}


/*
 * Stylesheet für den „Ausklappen“-Button an Navigationsleisten, der in
 * [[MediaWiki:Common.js]] implementiert wird
 */
.NavToggle {
	float: right;
	font-size: x-small;
}

/* Automatisches Verschmelzen benachbarter Navigationsleisten */
div.NavFrame + div.NavFrame {
	margin-top: -1px;
}

/*
 * Verschmelzen mittels [[Vorlage:NaviBlock]]
 * Im Gegensatz zum automatischen Verschmelzen gibt es bei dieser Variante keine
 * Trennlinie zwischen den Leisten. Möglicherweise war dies ursprünglich nur ein
 * IE-6-Workaround, da das automatische Verschmelzen im IE 6 nicht funktioniert.
 */
div.BoxenVerschmelzen {
	border: 1px solid #aaa;
	clear: both;
	font-size: 95%;
	margin-top: 1.5em;
	padding-top: 2px;
}
div.BoxenVerschmelzen div.NavFrame {
	border: none;
	font-size: 100%;
	margin: 0;
	padding-top: 0;
}

/* Infoboxen */

.infobox {width:100%}
@media (min-width: 800px) {
	.infobox {width:30%}
}

/*
 * Zebra-Tabellen. Bei Verwendung zusammen mit „rowspan“ richtet sich die Farbe
 * jeder Zelle nach der ersten Zeile, zu der die Zelle gehört.
 */
table.wikitable.zebra > tbody > :nth-child(even):not([class*="hintergrundfarbe"]) {
	background: white;
}


/* Cargo Maps */
.leaflet-popup .leaflet-popup-content h2 {border-bottom:none;font-size: 15px !important;}
.leaflet-popup .leaflet-popup-content h2 a {font-family:'Segoe UI','Segoe UI Emoji','Segoe UI Symbol','Lato','Liberation Sans','Noto Sans','Helvetica Neue','Helvetica',sans-serif; color: #000;}
.leaflet-popup .leaflet-popup-content p {display:none !important; max-height:1px !important;}


.rand1 {
	border: 1px solid red;
}
.rand2 {
	border: 1px solid #f90;
}
.hintergrund1 {
	background-color: #ffc;
}
.hintergrund2 {
	background-color: #ddd;
}
.hintergrund9 {
	background-color: #FFCBCB !important;
}

.hintergrundfarbe1 {background-color:#f8f9fa}
.rahmenfarbe1 {border-color:#a2a9b1; border-width:1px;}


.toptextcells td {
	vertical-align: top;
}



/* Ergebnislisten */
.ergebnisse1 {background-color:#EFBF04;}
.ergebnisse1 td:first-child {min-height:30px; min-width:30px; background:url(images/d/d7/Stabfuehrer_Medaille_Gold.png) no-repeat; background-size: 20px; background-position: right 5px center; background-color:#EFBF04;}

.ergebnisse2 {background-color:#D2D2D2;}
.ergebnisse2 td:first-child {min-height:30px; min-width:30px; background:url(images/a/a1/Stabfuehrer_Medaille_Silber.png) no-repeat; background-size: 20px; background-position: right 5px center; background-color:#D2D2D2;}

.ergebnisse3 {background-color:#E68D3F;}
.ergebnisse3 td:first-child {min-height:30px; min-width:30px; background:url(images/e/e9/Stabfuehrer_Medaille_Bronze.png) no-repeat; background-size: 20px; background-position: right 5px center; background-color:#E68D3F;}


/* standard link colors */
/*
.mw-body a:link { color: #777 !important; } /* normal unvisited links */
.mw-body a:link:visited { color: #777 !important; } /* visited links */
*/


.mw-body a:link {color: #3366cc}
.mw-body a:visited {color: #3366cc}
.mw-body a:hover {color: #000000}
.mw-body a:active {color: #3366cc}

.mw-body a:link:active { color: #777 !important; } /* active links */
.mw-body a:link.new { color: #FF0000 !important; } /* new links */
.mw-body a:link.interwiki { color: #3366BB !important; } /* interwiki links */
.mw-body a:link.external { color: #777 !important; } /* external links */
.mw-body a:link.stub { color: #772233 !important; } /* hovered links */



/* Suchergebnisse anpassen
*/
#mw-content-text > div > ul > li > div.searchresult { display: none }
#mw-content-text > div > ul > li > div.mw-search-result-data { display: none }
.mw-search-result-data { display: none }

.infobox {margin-left:3px}

/* Startseite */
/* {{pp|small=yes}} */
.mp-box {
	border: 1px solid #aaa; /* all colors overriden on specific elements in @media screen */
	padding: 0 0.5em 0.5em;
	margin-top: 4px;
}

.mp-h2,
body.skin-timeless .mp-h2 { /* Timeless needs a higher specificity */
	border: 1px solid #aaa; /* all colors overriden on specific elements in @media screen */
	margin: 0.5em 0;
	padding: 0.2em 0.4em;
	font-size: 120%;
	font-weight: bold;
	font-family: inherit;
}

.mp-later {
	font-size: 85%;
	font-weight: normal;
}

#mp-welcomecount {
	text-align: center;
}

#mp-welcome {
	font-size: 162%;
	padding: 0.1em;
	color:#f00;
	font-weight:bold;
	display:block;
}

#mp-free {
	font-size: 95%;
}

#articlecount {
	font-size: 85%;
}

/* clear fix */
.mp-contains-float::after {
	content: "";
	display: block;
	clear: both;
}

@media (max-width: 875px) {
	/* We need to improve Template:POTD as used on the main page so that these
	 * hacks aren't necessary */
	#mp-tfp table,
	#mp-tfp tr,
	#mp-tfp td,
	#mp-tfp tbody {
		display: block !important;
		width: 100% !important;
		box-sizing: border-box;
	}

	#mp-tfp tr:first-child td:first-child a.mw-file-description {
		text-align: center;
		display: table;
		margin: 0 auto;
	}
}

@media (min-width: 875px) {
	#mp-upper {
		display: flex;
	}
	
	#mp-left {
		flex: 1 1 33%;
		margin-right: 2px;
	}
	
	#mp-right {
		flex: 1 1 34%;
		margin-left: 2px;
		margin-right: 2px;
	}

	#mp-middle {
		flex: 1 1 33%;
		margin-left: 2px;
	}
}

@media screen {
	#mp-topbanner {
		background-color: #f9f9f9;
		border-color: #ddd;
	}
	
	#mp-banner {
		background-color: #fffaf5;
		border-color: #f2e0ce;
	}
	
	#mp-left {
		background-color: #f5fffa;
		border-color: #cef2e0;
	}
	
	#mp-left .mp-h2 {
		background-color: #cef2e0;
		border-color: #a3bfb1;
	}
	
	#mp-right {
		 background-color: #f5faff;
		 border-color: #cedff2;
	}
#mp-right table {border:none;background:transparent}
#mp-right table td {border-left:none; border-right:none;background:transparent}
#mp-right table th {border:none; background:transparent;font-size: 120%;}
	
	#mp-right .mp-h2 {
		background-color: #cedff2;
		border-color: #a3b0bf;
	}
	
	#mp-middle {
		background-color: #fff5fa;
		border-color: #f2cedd;
	}
	
	#mp-middle .mp-h2 {
		background-color: #f2cedd;
		border-color: #bfa3af;
	}
	
	#mp-lower {
		background-color: #faf5ff;
		border-color: #ddcef2;
	}
	
	#mp-lower .mp-h2 {
		background-color: #ddcef2;
		border-color: #afa3bf;
	}
	
	#mp-bottom {
		/* no background */
		border-color: #e2e2e2;
	}
	
	#mp-bottom .mp-h2 {
		background-color: #eee;
		border-color: #ddd;
	}

	/* night mode */
	html.skin-theme-clientpref-night #mp-topbanner {
		background-color: #171a1d;
		border-color: #676767;
	}
	
	html.skin-theme-clientpref-night #mp-banner {
		background-color: #431107;
		border-color: #663428;
	}
	
	html.skin-theme-clientpref-night #mp-left {
		background-color: #0b1e1c;
		border-color: #104437;
	}
	
	html.skin-theme-clientpref-night #mp-left .mp-h2 {
		background-color: #104437;
		border-color: #2f4d41;
	}
	
	html.skin-theme-clientpref-night #mp-right {
		 background-color: #0d1a27;
		 border-color: #082849;
	}
	
	html.skin-theme-clientpref-night #mp-right .mp-h2 {
		background-color: #082849;
		border-color: #a3b0bf;
	}
	
	html.skin-theme-clientpref-night #mp-middle {
		background-color: #270e1a;
		border-color: #882c43;
	}
	
	html.skin-theme-clientpref-night #mp-middle .mp-h2 {
		background-color: #882c43;
		border-color: #926c80;
	}
	
	html.skin-theme-clientpref-night #mp-lower {
		background-color: #130e20;
		border-color: #7545ab;
	}
	
	html.skin-theme-clientpref-night #mp-lower .mp-h2 {
		background-color: #7545ab;
		border-color: #afa3bf;
	}
	
	html.skin-theme-clientpref-night #mp-bottom {
		/* no background */
		border-color: #676767;
	}
	
	html.skin-theme-clientpref-night #mp-bottom .mp-h2 {
		background-color: #3d3d3d;
		border-color: #676767;
	}
}